#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<int> intTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<int> b;
    for (string& s: a) {
        b.push_back(stoi(s));
    }
    return b;
}

int main() {
    vector<int> l1 = intTokens(' ');
    vector<int> l2 = intTokens(' ');
    assertEOF();

    assert(l1.size() == 1);
    int n = l1.front();
    assert(1 < n && n < 999);

    assert(l2.size() == n);
    for (int i = 0; i < n; i++) assert(0 < l2[i] && l2[i] <= 10000);

    int maxEven = 0;
    int brEven = 0;
    int maxOdd = 0;
    int brOdd = 0;
    for (int i = 0; i < n; i++) {
        int x = l2[i];
        if (x % 2 == 0) {
            maxEven = max(maxEven, x);
            brEven++;
        } else {
            maxOdd = max(maxOdd, x);
            brOdd++;
        }
    }
    cout << (maxOdd+1)/2-brOdd << " " << maxEven/2-brEven << endl;

    return 0;
}
