#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<int> intTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<int> b;
    for (string& s: a) {
        b.push_back(stoi(s));
    }
    return b;
}

int main() {
    vector<string> l1 = readTokens(' ');
    vector<string> l2 = readTokens(' ');
    vector<string> l3 = readTokens(' ');
    assertEOF();

    assert(l1.size() == 2);
    assert(l2.size() == 2);
    assert(l3.size() == 1);

    assert(l1[1].size() == 1);
    assert(l2[1].size() == 1);

    int a1 = stoi(l1[0]);
    char c1 = l1[1][0];
    int a2 = stoi(l2[0]);
    char c2 = l2[1][0];
    int k = stoi(l3[0]);

    assert(1 <= a1 && a1 <= 100);
    assert(1 <= a2 && a2 <= 100);
    assert(c1 == 'A' || c1 == 'B');
    assert(c2 == 'A' || c2 == 'B');
    assert(c1 != c2);
    assert(1 <= k && k <= a1+a2);

    if (c1 == 'A') {
        cout << min(a1, k) << endl;
    } else {
        cout << max(0, k-a1) << endl;
    }

    return 0;
}
