#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<int> intTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<int> b;
    for (string& s: a) {
        b.push_back(stoi(s));
    }
    return b;
}

int main() {
    vector<int> line = intTokens(' ');
    assertEOF();

    assert(line.size() == 3);
    int d = line[0];
    int m = line[1];
    int y = line[2];

    assert(1 <= d && d <= 31);
    assert(1 <= m && m <= 12);
    assert(1900 <= y && y <= 2100);

    if (m == 4 || m == 6 || m == 9 || m == 11) assert(d <= 30);
    if (m == 2) assert(d <= 29);
    if (m == 2 && (y%4 != 0 || y == 1900 || y == 2100)) assert(d <= 28);

    d = d+1;

    if (d == 32) {
        d = 1;
        m = m+1;
    } else if (d == 31 && (m == 4 || m == 6 || m == 9 || m == 11)) {
        d = 1;
        m = m+1;
    } else if (d == 30 && m == 2) {
        d = 1;
        m = m+1;
    } else if (d == 29 && m == 2 && (y%4 != 0 || (y%100 == 0 && y%400 != 0))) {
        d = 1;
        m = m+1;
    }

    if (m == 13) {
        m = 1;
        y = y+1;
    }

    cout << d << " " << m << " " << y << endl;

    return 0;
}
